Bug 1310496 - [abrt] eog: INT_cairo_region_is_empty(): eog killed by SIGSEGV
[abrt] eog: INT_cairo_region_is_empty(): eog killed by SIGSEGV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:45c2c22a5cae77df23e407018a7...
: Reopened
: 1314409 1314558 (view as bug list)
Depends On:
Blocks: F24FinalBlocker
  Show dependency treegraph
 
Reported: 2016-02-21 22:08 EST by yucef sourani
Modified: 2016-03-04 04:32 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 09:17:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.45 KB, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details
File: cgroup (259 bytes, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details
File: core_backtrace (4.70 KB, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details
File: dso_list (11.71 KB, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details
File: environ (3.90 KB, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details
File: maps (53.67 KB, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details
File: mountinfo (3.57 KB, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details
File: open_fds (1.55 KB, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details
File: var_log_messages (306 bytes, text/plain)
2016-02-21 22:08 EST, yucef sourani
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 762755 None None None 2016-02-27 14:27 EST

  None (edit)
Description yucef sourani 2016-02-21 22:08:19 EST
Version-Release number of selected component:
eog-3.19.90-1.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        eog /home/yuceffrawhide/Pictures/fig15-07.jpg
crash_function: INT_cairo_region_is_empty
executable:     /usr/bin/eog
global_pid:     12549
kernel:         4.5.0-0.rc3.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 INT_cairo_region_is_empty at cairo-region.c:816
 #1 buffer_release_callback at gdkwindow-wayland.c:686
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
 #4 wl_closure_invoke at src/connection.c:949
 #5 dispatch_event at src/wayland-client.c:1274
 #6 wl_display_dispatch_queue_pending at src/wayland-client.c:1420
 #8 _gdk_wayland_display_queue_events at gdkeventsource.c:165
 #9 gdk_display_get_event at gdkdisplay.c:392
 #14 g_main_context_iteration at gmain.c:3901
Comment 1 yucef sourani 2016-02-21 22:08:25 EST
Created attachment 1129124 [details]
File: backtrace
Comment 2 yucef sourani 2016-02-21 22:08:27 EST
Created attachment 1129125 [details]
File: cgroup
Comment 3 yucef sourani 2016-02-21 22:08:28 EST
Created attachment 1129126 [details]
File: core_backtrace
Comment 4 yucef sourani 2016-02-21 22:08:31 EST
Created attachment 1129127 [details]
File: dso_list
Comment 5 yucef sourani 2016-02-21 22:08:32 EST
Created attachment 1129128 [details]
File: environ
Comment 6 yucef sourani 2016-02-21 22:08:34 EST
Created attachment 1129129 [details]
File: exploitable
Comment 7 yucef sourani 2016-02-21 22:08:36 EST
Created attachment 1129130 [details]
File: limits
Comment 8 yucef sourani 2016-02-21 22:08:40 EST
Created attachment 1129131 [details]
File: maps
Comment 9 yucef sourani 2016-02-21 22:08:42 EST
Created attachment 1129132 [details]
File: mountinfo
Comment 10 yucef sourani 2016-02-21 22:08:44 EST
Created attachment 1129133 [details]
File: namespaces
Comment 11 yucef sourani 2016-02-21 22:08:45 EST
Created attachment 1129134 [details]
File: open_fds
Comment 12 yucef sourani 2016-02-21 22:08:47 EST
Created attachment 1129135 [details]
File: proc_pid_status
Comment 13 yucef sourani 2016-02-21 22:08:48 EST
Created attachment 1129136 [details]
File: var_log_messages
Comment 14 Petr Schindler 2016-02-24 02:32:35 EST
Similar problem has been detected:

eog segfaults whenever I try to open picture (tried with jpg and png). It doesn't happen when I open just eog.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        eog '/home/pschindl/Pictures/Screenshot from 2016-02-24 08-01-03.png'
crash_function: INT_cairo_region_is_empty
executable:     /usr/bin/eog
global_pid:     3915
kernel:         4.5.0-0.rc5.git0.1.fc24.x86_64
package:        eog-3.19.90-1.fc24
reason:         eog killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Petr Schindler 2016-02-24 02:36:45 EST
I propose this bug as final blocker bug as it violates the Final criterion: "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test. "
Comment 16 Jan Kurik 2016-02-24 10:28:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 17 mchalupa 2016-02-29 05:54:58 EST
Hit this when I tried to arrange two displays. Reproducible by:

1. open gnom-control-center
2. open Displays
3. click Arrange Combined Displays button
3. drag one display around another, release it, then start dragging it again.
   doing this a while, g-c-c will eventually crash
Comment 18 mchalupa 2016-02-29 06:00:51 EST
forgot to mention that I'm running current gnome-shell build using jhbuild

gtk+ ee217dc8
Comment 19 Michael Catanzaro 2016-02-29 09:19:28 EST
There's a patch in the upstream bug
Comment 20 Stephen Gallagher 2016-02-29 10:57:31 EST
+1 blocker (and I can also reproduce this issue)
Comment 21 mchalupa 2016-02-29 11:22:46 EST
(In reply to Michael Catanzaro from comment #19)
> There's a patch in the upstream bug

oh, yep. That fixes it for me
Comment 22 Petr Schindler 2016-02-29 13:47:13 EST
Discussed at 2016-02-29 blocker review meeting: [1]. 

This bug was accepted as Final blocker: eog crashing on start clearly violates "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test."

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2016-02-29/f24-blocker-review.2016-02-29-17.00.html
Comment 23 Michael Catanzaro 2016-02-29 16:19:32 EST
Fixed in GTK+ 3.19.11, coming soon to a rawhide near you
Comment 24 Petr Schindler 2016-03-01 04:26:00 EST
Thanks for update, but because this bug is blocker we have to wait until the update will be pushed to stable.
Comment 25 Michael Catanzaro 2016-03-03 09:13:52 EST
*** Bug 1314409 has been marked as a duplicate of this bug. ***
Comment 26 Michael Catanzaro 2016-03-03 09:17:02 EST
Should now be fixed in F24 by gtk3-3.19.11-1.fc24.

(In reply to Petr Schindler from comment #24)
> Thanks for update, but because this bug is blocker we have to wait until the
> update will be pushed to stable.

No Bodhi yet. :)
Comment 27 Kalev Lember 2016-03-04 04:32:42 EST
*** Bug 1314558 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.